coreEngine.Helper.ASCIIAdapter

## Enum ASCIISeedFileAdapter_RLFormat.FieldTypeGen

- java.lang.Object
- - java.lang.Enum<ASCIISeedFileAdapter_RLFormat.FieldTypeGen>
  - - coreEngine.Helper.ASCIIAdapter.ASCIISeedFileAdapter_RLFormat.FieldTypeGen

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ASCIISeedFileAdapter_RLFormat.FieldTypeGen>
  Enclosing class:
    ASCIISeedFileAdapter_RLFormat

      private static enum ASCIISeedFileAdapter_RLFormat.FieldTypeGen
      extends java.lang.Enum<ASCIISeedFileAdapter_RLFormat.FieldTypeGen>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALPHA`
    `ANALYSIS_YEAR`
    `END_DAY`
    `END_HR`
    `END_MIN`
    `END_MONTH`
    `ERR`
    `FFS_KNOWN`
    `JAM_DENSITY`
    `NUM_PERIODS`
    `NUM_SEGMENTS`
    `RAMP_METERING`
    `SEED_DEMAND_DAY`
    `SEED_DEMAND_MONTH`
    `START_DAY`
    `START_HR`
    `START_MIN`
    `START_MONTH`
    `TERRAIN_CODE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ASCIISeedFileAdapter_RLFormat.FieldTypeGen` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ASCIISeedFileAdapter_RLFormat.FieldTypeGen[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ALPHA

          public static final ASCIISeedFileAdapter_RLFormat.FieldTypeGen ALPHA

    - #### ANALYSIS_YEAR

          public static final ASCIISeedFileAdapter_RLFormat.FieldTypeGen ANALYSIS_YEAR

    - #### END_DAY

          public static final ASCIISeedFileAdapter_RLFormat.FieldTypeGen END_DAY

    - #### END_HR

          public static final ASCIISeedFileAdapter_RLFormat.FieldTypeGen END_HR

    - #### END_MIN

          public static final ASCIISeedFileAdapter_RLFormat.FieldTypeGen END_MIN

    - #### END_MONTH

          public static final ASCIISeedFileAdapter_RLFormat.FieldTypeGen END_MONTH

    - #### FFS_KNOWN

          public static final ASCIISeedFileAdapter_RLFormat.FieldTypeGen FFS_KNOWN

    - #### JAM_DENSITY

          public static final ASCIISeedFileAdapter_RLFormat.FieldTypeGen JAM_DENSITY

    - #### NUM_PERIODS

          public static final ASCIISeedFileAdapter_RLFormat.FieldTypeGen NUM_PERIODS

    - #### NUM_SEGMENTS

          public static final ASCIISeedFileAdapter_RLFormat.FieldTypeGen NUM_SEGMENTS

    - #### RAMP_METERING

          public static final ASCIISeedFileAdapter_RLFormat.FieldTypeGen RAMP_METERING

    - #### SEED_DEMAND_DAY

          public static final ASCIISeedFileAdapter_RLFormat.FieldTypeGen SEED_DEMAND_DAY

    - #### SEED_DEMAND_MONTH

          public static final ASCIISeedFileAdapter_RLFormat.FieldTypeGen SEED_DEMAND_MONTH

    - #### START_DAY

          public static final ASCIISeedFileAdapter_RLFormat.FieldTypeGen START_DAY

    - #### START_HR

          public static final ASCIISeedFileAdapter_RLFormat.FieldTypeGen START_HR

    - #### START_MIN

          public static final ASCIISeedFileAdapter_RLFormat.FieldTypeGen START_MIN

    - #### START_MONTH

          public static final ASCIISeedFileAdapter_RLFormat.FieldTypeGen START_MONTH

    - #### TERRAIN_CODE

          public static final ASCIISeedFileAdapter_RLFormat.FieldTypeGen TERRAIN_CODE

    - #### ERR

          public static final ASCIISeedFileAdapter_RLFormat.FieldTypeGen ERR

  - ### Method Detail

    - #### values

          public static ASCIISeedFileAdapter_RLFormat.FieldTypeGen[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ASCIISeedFileAdapter_RLFormat.FieldTypeGen c : ASCIISeedFileAdapter_RLFormat.FieldTypeGen.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ASCIISeedFileAdapter_RLFormat.FieldTypeGen valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null